/*
 * tcp_server.h
 *
 *
 */

#ifndef TCP_SERVER_H_
#define TCP_SERVER_H_

#include <tcp_defs.h>

#ifdef __cplusplus
extern "C" {
#endif

void tcp_server_receive(tcpPacket *msg);
void tcp_server_send(struct tcp_pcb *tpcb, struct tcp_server_struct *es);
err_t tcp_server_sent(void *arg, struct tcp_pcb *tpcb, u16_t len);
void tcp_server_errormsg(tcpPacket *msg);
void tcp_server_close(struct tcp_pcb *tpcb, struct tcp_server_struct *es);

#ifdef __cplusplus
}
#endif


#endif /* TCP_SERVER_H_ */
